Skip to main content
GET
/
v1
/
leads
/
{id}
Get a lead
curl --request GET \
  --url https://dev.flextell.ai/api/v1/leads/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "first_name": "<string>",
    "last_name": "<string>",
    "full_name": "<string>",
    "phone_number": "<string>",
    "email": "<string>",
    "description": "<string>",
    "message": "<string>",
    "preferred_contact": "<string>",
    "source_page_url": "<string>",
    "country_id": 123,
    "is_converted": "<string>",
    "converted_at": "2023-11-07T05:31:56Z",
    "customer_id": 123,
    "marketing_attribution": [
      "<unknown>"
    ],
    "external_id": "<string>",
    "external_branch_id": "<string>",
    "external_created_at": "2023-11-07T05:31:56Z",
    "last_synced_at": "2023-11-07T05:31:56Z",
    "import_source_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "status": {
      "id": 123,
      "name": "<string>",
      "slug": "<string>",
      "color": "<string>",
      "is_terminal": true
    },
    "reference_source": {
      "id": 123,
      "name": "<string>",
      "external_id": "<string>"
    },
    "assigned_user": {
      "id": 123,
      "name": "<string>"
    },
    "country_name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The lead identifier

Response

success
string
required
data
LeadResource · object
required